Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

After the Publisher and one Subscriber server are upgraded in a Cisco CallManager 4.x cluster, calls between IP Phones of different device pools fail, and the "[SDL link connection refused] - AppProtocol version mismatch" error message appears in trace

Core Issue

During an upgrade of the Cisco CallManager cluster of three servers, after the upgrade of the Publisher and one Subscriber server from Cisco CallManager 4.2(1) to Cisco CallManager 4.2(3), but before the upgrade of the second Subscriber, calls between devices in the different device pools start to fail and trace shows this error message:

CCM| [Sdl Link Connection Refused] - AppProtocol version mismatch. RemoteAppProtocolVersion: 9, LocalAppProtocolVersion A, RemoteNodeId: [2], RemoteAppId: [100], RemoteAppVersion: 4.1(2.13110)|

Resolution

This error basically means that there is a version mismatch between the servers in the cluster.

In order to resolve this issue, make sure all the servers in the cluster run the same version, which includes Service Releases (SRs) and Engineering Specials (ESs). For example, if the publisher runs 4.1(3)SR2, change all the subscribers to 4.1(3)SR2 as well.

Once all the servers are identical in the cluster, restart the Cisco Telephony Call Dispatcher and Cisco CTIManager Services on all the servers in the cluster.

Version history
Revision #:
1 of 1
Last update:
‎06-22-2009 04:40 PM
Updated by:
 
Labels (1)